export interface Input {
    data: {
        x: number;
        y: number;
    }[];
    trend?: "positive" | "negative";
}
declare class SparkLine extends Marko.Component<Input> {
    getSparkLinePath(): string;
    getMinMax(): {
        startX: number;
        endX: number;
        yMin: number;
        yMax: number;
    };
    getNormalizationScaleRatios(minMax: ReturnType<typeof this.getMinMax>): {
        xScale: number;
        yScale: number;
    };
    getViewBox(): string;
}
export default SparkLine;
